<?php
// $Id: uc_vat.admin.inc,v 1.1 2009/10/09 19:19:50 longwave Exp $

/**
 * Module configuration form.
 */
function uc_vat_settings_form($form_state) {
  $form['display'] = array(
    '#type' => 'fieldset',
    '#title' => t('Price display options'),
    '#collapsible' => TRUE,
  );
  $form['display']['uc_vat_name'] = array(
    '#type' => 'textfield',
    '#title' => t('Tax name'),
    '#description' => t('If necessary, rename VAT to GST, MwSt, etc. as appropriate for your country.'),
    '#default_value' => variable_get('uc_vat_name', 'VAT'),
    '#size' => 10,
  );
  $form['display']['uc_vat_suffix_tax'] = array(
    '#type' => 'checkbox',
    '#title' => t('Add "including !tax" or "excluding !tax" to product prices.', array('!tax' => variable_get('uc_vat_name', 'VAT'))),
    '#default_value' => variable_get('uc_vat_suffix_tax', FALSE),
  );
  $form['display']['uc_vat_suffix_shipping'] = array(
    '#type' => 'checkbox',
    '#title' => t('Add "excluding shipping costs" to shippable product prices.'),
    '#default_value' => variable_get('uc_vat_suffix_shipping', FALSE),
  );
  $form['display']['uc_vat_exclude_superuser'] = array(
    '#type' => 'checkbox',
    '#title' => t('Show prices excluding VAT to the superuser.'),
    '#description' => t('By default, uid 1 has all permissions, which would include "show prices excluding VAT". This can be confusing so you can select here whether uid 1 should see prices inclusive or exclusive of VAT.'),
    '#default_value' => variable_get('uc_vat_exclude_superuser', FALSE),
  );

  $form['edit'] = array(
    '#type' => 'fieldset',
    '#title' => t('Price editing options'),
    '#description' => t('Select the price fields below that you will enter inclusive of !tax.', array('!tax' => variable_get('uc_vat_name', 'VAT'))),
    '#collapsible' => TRUE,
  );
  $form['edit']['uc_vat_list_price_inclusive'] = array(
    '#type' => 'checkbox',
    '#title' => t('List price'),
    '#default_value' => variable_get('uc_vat_list_price_inclusive', FALSE),
  );
  $form['edit']['uc_vat_cost_inclusive'] = array(
    '#type' => 'checkbox',
    '#title' => t('Cost'),
    '#default_value' => variable_get('uc_vat_cost_inclusive', FALSE),
  );
  $form['edit']['uc_vat_sell_price_inclusive'] = array(
    '#type' => 'checkbox',
    '#title' => t('Sell price'),
    '#default_value' => variable_get('uc_vat_sell_price_inclusive', FALSE),
  );

  $form['checkout'] = array(
    '#type' => 'fieldset',
    '#title' => t('Checkout options'),
    '#collapsible' => TRUE,
  );
  $form['checkout']['uc_vat_hide_subtotal'] = array(
    '#type' => 'checkbox',
    '#title' => t('Hide the "Subtotal" line item.'),
    '#description' => t('This should only be used in stores which do not use any other line items such as shipping or discounts.'),
    '#default_value' => variable_get('uc_vat_hide_subtotal', FALSE),
  );
  $form['checkout']['uc_vat_hide_checkout_exclusive'] = array(
    '#type' => 'checkbox',
    '#title' => t('Hide !tax exclusive prices and "Subtotal excluding !tax" line item.', array('!tax' => variable_get('uc_vat_name', 'VAT'))),
    '#description' => t('Enabling this will also prefix !tax amounts in the checkout with "incl."', array('!tax' => variable_get('uc_vat_name', 'VAT'))),
    '#default_value' => variable_get('uc_vat_hide_checkout_exclusive', FALSE),
  );

  $form['advanced'] = array(
    '#type' => 'fieldset',
    '#title' => t('Advanced options'),
    '#collapsible' => TRUE,
  );
  $form['advanced']['uc_vat_recalculate_prices'] = array(
    '#type' => 'checkbox',
    '#title' => t('Keep !tax inclusive prices the same after a rate change.', array('!tax' => variable_get('uc_vat_name', 'VAT'))),
    '#description' => t('By checking this box, any changes to the tax rate(s) will recalculate the base product and attribute prices accordingly, so the !tax inclusive prices will stay the same.', array('!tax' => variable_get('uc_vat_name', 'VAT'))),
    '#default_value' => variable_get('uc_vat_recalculate_prices', FALSE),
  );

  return system_settings_form($form);
}
